# Interface ISerializableHelper

public interface ISerializableHelper

Author:
  Pavel Savara (original)

## Method Summary

Modifier and Type
Method
Description
`Object`
`deserialize(RbSerializer serializer, ByteBuffer buffer)`
`void`
`serialize(RbSerializer serializer, ByteBuffer buffer, Object object)`
`int`
`sizeOf(RbSerializer serializer, Object object)`

## Method Details

### sizeOf

int sizeOf(RbSerializer serializer, Object object)

### serialize

void serialize(RbSerializer serializer, ByteBuffer buffer, Object object)

### deserialize

Object deserialize(RbSerializer serializer, ByteBuffer buffer)